Skip to content

Get Supported Digital Assets

Endpoint

GET https://api.mycactus.dev/custody/v1/api/integrated/coins
GET https://api.mycactus.com/custody/v1/api/integrated/coins

Parameters

This endpoint does not require any parameters.


Response

Response Body

Field Type Description
code Integer Response code (0 = success)
message String Response message
successful Boolean Whether the request was successful
data Object[] Supported digital assets array (see data object details below).

data (object)

FieldTypeDescription
currencyStringAsset name
coin_nameStringToken name
Example: USDTTRC, USDTERC, USDTOMNI are all included in USDT
min_rechargeIntegerMinimum deposit amount
min_withdrawIntegerMinimum withdrawal amount
deposit_confirmsIntegerBlock height required for deposit confirmation
withdraw_confirmsIntegerBlock height required for withdrawal confirmation
feeIntegerFee
recharge_statusBoolean

Is it allow to deposit?

  • 1 - Yes
  • 0 - No
withdraw_statusBoolean

Is it allow to withdraw?

  • 1 - Yes
  • 0 - No

Response Example

{
  "code": 0,
  "message": "string",
  "data": [
    {
      "currency": "string",
      "coin_name": "string",
      "min_recharge": 0,
      "min_withdraw": 0,
      "deposit_confirms": 0,
      "withdraw_confirms": 0,
      "fee": 0,
      "recharge_status": true,
      "withdraw_status": true
    }
  ],
  "successful": true
}